import 'package:flutter/material.dart';

class HomeList extends StatefulWidget {
  const HomeList({super.key});

  @override
  State<HomeList> createState() => _HomeListState();
}

class _HomeListState extends State<HomeList> {
  // List
  List<String> list = [
    'ORO',
    'ABEJA',
    'IGUANA',
    'UVAS',
    'ENANO',
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Lista ordenable'),
      ),
      body: ReorderableListView.builder(
        itemBuilder: (context, index) {
          return ListTile(
            key: ValueKey(list[index]),
            title: Text(list[index]),
          );
        },
        itemCount: list.length,
        onReorder: (oldIndex, newIndex) {
          //list re-arrange
          if (oldIndex < newIndex) {
            newIndex--;
          }
          final item = list.removeAt(oldIndex);
          list.insert(newIndex, item);
        },
      ),
    );
  }
}
